ports/163372: [patch] graphics/bugle: unbreak build with gcc46

Jan Beich jbeich at tormail.net
Sat Dec 17 03:00:28 UTC 2011


>Number:         163372
>Category:       ports
>Synopsis:       [patch] graphics/bugle: unbreak build with gcc46
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Sat Dec 17 03:00:25 UTC 2011
>Closed-Date:
>Last-Modified:
>Originator:     Jan Beich
>Release:        FreeBSD 10.0-CURRENT amd64
>Organization:
>Environment:
>Description:
-fdump-translation-unit on gcc46 produces .tu file in the same directory
.o file resides
>How-To-Repeat:
$ gcc -fdump-translation-unit -c blah/foo.c -o blah/foo.o
$ rm -v **/foo*tu
foo.c.001t.tu

$ gcc46 -fdump-translation-unit -c blah/foo.c -o blah/foo.o
$ rm -v **/foo*tu
blah/foo.c.001t.tu

$ make CC=gcc46 CXX=g++46 CPP=cpp46
===>  Building for bugle-0.0.20091026_2
././install-sh -c -d src/data
CCACHE_DISABLE=1 gcc46 -DHAVE_CONFIG_H -I.  -I./lib -Ilib -I./include -Iinclude  -DLIBDIR=\"/usr/local/lib\" -DPKGLIBDIR=\"/usr/local/lib/bugle\"   -I/usr/local/include -D_THREAD_SAFE  -O2 -pipe -fno-strict-aliasing -fdump-translation-unit -c ./src/data/gl.c -o src/data/gl.o
rm -f src/data/gl.o
./mvtu.sh gl.c src/data/gl.tu
No .tu file found! Are you using GCC 3.4 or 4.1+?
*** [src/data/gl.tu] Error code 1
>Fix:
--- gcc46.diff begins here ---
Index: graphics/bugle/files/patch-mvtu.sh
===================================================================
RCS file: graphics/bugle/files/patch-mvtu.sh
diff -N graphics/bugle/files/patch-mvtu.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ graphics/bugle/files/patch-mvtu.sh	17 Dec 2011 01:55:23 -0000
@@ -0,0 +1,10 @@
+--- mvtu.sh~
++++ mvtu.sh
+@@ -5,6 +5,7 @@ rm -f "$2"
+ for i in "$1.tu" "$1.t00.tu" "$1.001t.tu"
+ do
+     test -f "$i" && mv -f "$i" "$2"
++    test -f "${2%/*}/$i" && mv -f "${2%/*}/$i" "$2"
+ done
+ if ! test -f "$2"
+ then
--- gcc46.diff ends here ---
>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list